updatesrv(8)

NAME
updatesrv - update server files

SYNOPSIS
updatesrv [ -d debug_level ] [ -l number_of_lwps ] [ -p prefix ] [ -s ] [ -q service_number ]

DESCRIPTION
The updatesrv command is a read-only server that responds to requests for files by name. The operands that it accepts are:

-d debug_level
    This is used to increase the level of messages written to the log file.

-l number_of_lwps
    This operand is used to specify how many lwps will be used to answer file requests. Default: 2.

-p prefix
    This name, prefixed to all file requests, is used to limit the files that can be requested.

-q service_name
    This is the service name in /etc/services that is to be used. Default: rupdsrv.

EXAMPLES
The command updatesrv -s -p / would invoke the updatesrv process and cause the files to be served relative to / on the server machine. The command updatesrv -s -p /vice/bin would cause the files to be served relative to /vice/bin on the server machine.

DIAGNOSTICS
The UpdateLog file will contain useful information. Issuing a kill -TSTP signal to a running updatesrv will increase the level of debugging messages. The debugging messages can be turned off by issuing a kill -HUP signal. This will also cause the log file to no longer be written.

FILES

UpdateLog
    This log of the messages from updatesrv is kept in the directory specified by the -p operand on the invocation. This log file is only written when debugging is enabled.

pid This file contains the pid of the updatesrv process. It is kept in the directory specified on the -p operand on invocation of the command.

BUGS
It does not yet use any password authentication to stop others from using it to fetch files from servers.

SEE ALSO
checkvenus(8) updateclnt(8)

AUTHOR
Maria R. Ebling, 1990, Adapted from AFS-2